cat.hpp File Reference
`#include <msgpack/preprocessor/cat.hpp>`
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/list/adt.hpp>`
`#include <msgpack/preprocessor/list/fold_left.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_LIST_CAT(list) MSGPACK_PP_LIST_CAT_I(list)
#define | MSGPACK_PP_LIST_CAT_I(list) MSGPACK_PP_LIST_FOLD_LEFT(MSGPACK_PP_LIST_CAT_O, MSGPACK_PP_LIST_FIRST(list), MSGPACK_PP_LIST_REST(list))
#define | MSGPACK_PP_LIST_CAT_O(d, s, x) MSGPACK_PP_CAT(s, x)
#define | MSGPACK_PP_LIST_CAT_D(d, list) MSGPACK_PP_LIST_CAT_D_I(d, list)
#define | MSGPACK_PP_LIST_CAT_D_I(d, list) MSGPACK_PP_LIST_FOLD_LEFT_ ## d(MSGPACK_PP_LIST_CAT_O, MSGPACK_PP_LIST_FIRST(list), MSGPACK_PP_LIST_REST(list))

## Macro Definition Documentation

## MSGPACK_PP_LIST_CAT

#define MSGPACK_PP_LIST_CAT | ( |  | list | ) | MSGPACK_PP_LIST_CAT_I(list)

## MSGPACK_PP_LIST_CAT_D

#define MSGPACK_PP_LIST_CAT_D | ( |  | d,
|  |  | list
| ) |  | MSGPACK_PP_LIST_CAT_D_I(d, list)

## MSGPACK_PP_LIST_CAT_D_I

#define MSGPACK_PP_LIST_CAT_D_I | ( |  | d,
|  |  | list
| ) |  | MSGPACK_PP_LIST_FOLD_LEFT_ ## d(MSGPACK_PP_LIST_CAT_O, MSGPACK_PP_LIST_FIRST(list), MSGPACK_PP_LIST_REST(list))

## MSGPACK_PP_LIST_CAT_I

#define MSGPACK_PP_LIST_CAT_I | ( |  | list | ) | MSGPACK_PP_LIST_FOLD_LEFT(MSGPACK_PP_LIST_CAT_O, MSGPACK_PP_LIST_FIRST(list), MSGPACK_PP_LIST_REST(list))

## MSGPACK_PP_LIST_CAT_O

#define MSGPACK_PP_LIST_CAT_O | ( |  | d,
|  |  | s,
|  |  | x
| ) |  | MSGPACK_PP_CAT(s, x)